<?php
	defined('C5_EXECUTE') or die("Access Denied.");

	$al = Loader::helper('concrete/asset_library');

	$bf = null;
	if ($controller->getFileID() > 0) { 
		$bf = $controller->getFileObject();
	}
	$bf2 = null;
	if ($controller->getFileID2() > 0) { 
		$bf2 = $controller->getFileObject2();
	}
?>

<div class="ccm-block-field-group">

	<div class="clearfix">

		<?php echo $form->label('Type of Slide', t('Type of Slide'))?>
		<div class="input">	
			<?php echo  $form->select('slideType', array('captionfull'=>'captionfull','caption'=>'caption','slideright'=>'slideright','thecombo'=>'thecombo','slidedown'=>'slidedown','peek'=>'peek'), $slideType); ?>
		</div>
	</div>


<h4><?php echo t('Initial Image to Display')?></h4><br/>

<?php
	$args = array();
	if ($forceImageToMatchDimensions && $maxWidth && $maxHeight) {
		$args['maxWidth'] = $maxWidth;
		$args['maxHeight'] = $maxHeight;
		$args['minWidth'] = $maxWidth;
		$args['minHeight'] = $maxHeight;
	}
	if ($forceImageToMatchDimensions2 && $maxWidth2 && $maxHeight2) {
		$args['maxWidth2'] = $maxWidth2;
		$args['maxHeight2'] = $maxHeight2;
		$args['minWidth2'] = $maxWidth2;
		$args['minHeight2'] = $maxHeight2;
	}
?>

	<div class="clearfix">
<!--
		<?php echo $form->label('altText', t('Title and Alt Text'))?>
		<div class="input">	
			<?php echo  $form->text('altText', $altText, array('style' => 'width: 250px')); ?>
		</div>
-->
		<label><?php echo t('Image')?></label>
		<div class="input">	
			<?php echo $al->image('ccm-b-image', 'fID', t('Choose Image'), $bf, $args);?>
		</div>

		<?php echo $form->label('maxWidth', t('Max Width'))?>
		<div class="input">	
			<?php echo $form->text('maxWidth', $maxWidth, array('style' => 'width: 60px')); ?>
		</div>
		<?php echo $form->label('maxHeight', t('Max Height'))?>
		<div class="input">	
			<?php echo $form->text('maxHeight', $maxHeight, array('style' => 'width: 60px')); ?>
		</div>
		<?php echo $form->label('forceImageToMatchDimensions', t('Scale Image'))?>
		<div class="input">	
			<select name="forceImageToMatchDimensions" id="forceImageToMatchDimensions">
			<option value="0" <?php if (!$forceImageToMatchDimensions) { ?> selected="selected" <?php } ?>><?php echo t('Automatically')?></option>
			<option value="1" <?php if ($forceImageToMatchDimensions == 1) { ?> selected="selected" <?php } ?>><?php echo t('Force Exact Image Match')?></option>
			</select>
		</div>
	</div>

</div>

<div class="ccm-block-field-group">

	<h4><?php echo t('Change Text/Image')?></h4>

	<div class="clearfix">

		<?php echo $form->label('Title', t('Title'))?>
		<div class="input">	
			<?php echo  $form->text('Title', $Title, array('style' => 'width: 250px')); ?>
		</div>

		<?php echo $form->label('Subtitle', t('Subtitle'))?>
		<div class="input">	
			<?php echo  $form->text('subTitle', $subTitle, array('style' => 'width: 250px')); ?>
		</div>
	</div>

	<div class="clearfix">
		<?php echo $form->label('Text Link URL', t('Text Link URL'))?>
		<div class="input">	
			<?php echo  $form->text('linkTextURL', $linkTextURL, array('style' => 'width: 250px')); ?>
		</div>

		<?php echo $form->label('Link Text', t('Link Text'))?>
		<div class="input">	
			<?php echo  $form->text('linkText', $linkText, array('style' => 'width: 250px')); ?>
		</div>
	</div>

	<div class="clearfix">
		<?php echo $form->label('Image Link URL', t('Image Link URL'))?>
		<div class="input">	
			<?php echo  $form->text('linkImageURL', $linkImageURL, array('style' => 'width: 250px')); ?>
		</div>
		<label><?php echo t('Link Image')?></label>
		<div class="input">	
			<?php echo $al->image('ccm-b-image-onstate', 'fID2', t('Link Image'), $bf2, $args);?>
		</div>

		<?php echo $form->label('maxWidth2', t('Max Width'))?>
		<div class="input">	
			<?php echo $form->text('maxWidth2', $maxWidth2, array('style' => 'width: 60px')); ?>
		</div>
		<?php echo $form->label('maxHeight2', t('Max Height'))?>
		<div class="input">	
			<?php echo $form->text('maxHeight2', $maxHeight2, array('style' => 'width: 60px')); ?>
		</div>
		<?php echo $form->label('forceImageToMatchDimensions2', t('Scale Image'))?>
		<div class="input">	
			<select name="forceImageToMatchDimensions2" id="forceImageToMatchDimensions2">
			<option value="0" <?php if (!$forceImageToMatchDimensions2) { ?> selected="selected" <?php } ?>><?php echo t('Automatically')?></option>
			<option value="1" <?php if ($forceImageToMatchDimensions2 == 1) { ?> selected="selected" <?php } ?>><?php echo t('Force Exact Image Match')?></option>
			</select>
		</div>

	</div>

</div>

<div class="ccm-block-field-group">
	<h4><?php echo t('Block Control')?></h4>

	<div class="clearfix">
		<?php echo $form->label('First Block', t('First Block'))?>
		<div class="input">	
			<?php echo $form->checkbox('firstBlock', 1, $firstBlock); ?>
		</div>
	</div>

	<div class="clearfix">
		<?php echo $form->label('Wrap Around', t('Wrap Around'))?>
		<div class="input">	
			<?php echo $form->radio('wrapAround', 0, $wrapAround); ?>&nbsp;none&nbsp;
			<?php echo $form->radio('wrapAround', 1, $wrapAround); ?>&nbsp;left&nbsp;
			<?php echo $form->radio('wrapAround', 2, $wrapAround); ?>&nbsp;right
		</div>
	</div>

</div>
